Bug 1417628 - Review Request: mingw-libconfuse - MinGW configuration file parser library
Summary: Review Request: mingw-libconfuse - MinGW configuration file parser library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1417631
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:16 UTC by Thomas Sailer
Modified: 2017-10-16 17:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-11 14:47:05 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Thomas Sailer 2017-01-30 13:16:53 UTC
Spec URL: https://sailer.fedorapeople.org/mingw-libconfuse.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-libconfuse-3.0-1.fc25.src.rpm
Description: MinGW configuration file parser library
Fedora Account System Username: sailer

mingw-libconfuse is required for mingw-libftdi

Comment 2 Robert-André Mauchin 🐧 2017-10-05 13:48:21 UTC
Hello,

  - As before, list of things not needed in Fedora:

    + Group:          System Environment/Libraries
    + BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
    + rm -rf $RPM_BUILD_ROOT
    + %clean
    + %defattr(-,root,root,-)

 - The LICENSE file should be under %license, not %doc:

%files -n mingw32-%{name1} -f mingw32-confuse.lang
%doc AUTHORS README.md
%license LICENSE

 - Please update to version 3.2.1 to follow main package version.

   You'll need to add BR for handling translations:

BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext

   And libconfuse-1.dll becomes libconfuse-2.dll:

%files -n mingw32-%{name1} -f mingw32-confuse.lang
%doc AUTHORS README.md
%license LICENSE
%doc doc/html
%{mingw32_bindir}/libconfuse-2.dll
%{mingw32_includedir}/confuse.h
%{mingw32_libdir}/libconfuse.dll.a
%{mingw32_libdir}/pkgconfig/libconfuse.pc

%files -n mingw64-%{name1} -f mingw64-confuse.lang
%doc AUTHORS README.md
%license LICENSE
%doc doc/html
%{mingw64_bindir}/libconfuse-2.dll
%{mingw64_includedir}/confuse.h
%{mingw64_libdir}/libconfuse.dll.a
%{mingw64_libdir}/pkgconfig/libconfuse.pc

Comment 3 Thomas Sailer 2017-10-06 14:51:51 UTC
Merci Robert-André!

I should have addressed all of your concerns in this update:

Spec URL: https://sailer.fedorapeople.org/mingw-libconfuse.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-libconfuse-3.2.1-1.fc26.src.rpm
copr build: https://copr.fedorainfracloud.org/coprs/sailer/mingw/build/618063/

Comment 4 Robert-André Mauchin 🐧 2017-10-06 15:31:23 UTC
You also need to remove %defattr(-,root,root,-) in %files

Also I don't think you need to include the documentation, see: https://fedoraproject.org/wiki/Packaging:MinGW#Files_which_are_already_part_of_native_packages

You should remove it in %install.

Comment 5 Thomas Sailer 2017-10-06 15:39:39 UTC
Ok, I have now removed defattr and the documentation

Spec URL: https://sailer.fedorapeople.org/mingw-libconfuse.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-libconfuse-3.2.1-2.fc26.src.rpm

Comment 6 Robert-André Mauchin 🐧 2017-10-06 15:54:24 UTC
It still has %defattr(-,root,root,-).

Comment 8 Robert-André Mauchin 🐧 2017-10-06 16:10:22 UTC
All ok then, package accepted.

Comment 9 Gwyn Ciesla 2017-10-06 16:47:54 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-libconfuse

Comment 10 Fedora Update System 2017-10-06 19:53:52 UTC
mingw-libconfuse-3.2.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea67475a2a

Comment 11 Fedora Update System 2017-10-06 19:54:01 UTC
mingw-libconfuse-3.2.1-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ef3a0dc35

Comment 12 Fedora Update System 2017-10-08 04:23:06 UTC
mingw-libconfuse-3.2.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea67475a2a

Comment 13 Fedora Update System 2017-10-08 06:23:50 UTC
mingw-libconfuse-3.2.1-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ef3a0dc35

Comment 14 Fedora Update System 2017-10-11 14:47:05 UTC
mingw-libconfuse-3.2.1-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-10-16 17:53:52 UTC
mingw-libconfuse-3.2.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.